/* Form */
.hh-hubspot-form {background-color: #101010; min-height: 590px;}
/* All Input and Textareas */
.hh-hubspot-form input[type="text"],
.hh-hubspot-form input[type="email"],
.hh-hubspot-form input[type="number"],
.hh-hubspot-form input[type="password"],
.hh-hubspot-form input[type="search"],
.hh-hubspot-form input[type="tel"],
.hh-hubspot-form input[type="url"],
.hh-hubspot-form textarea {
    box-sizing: border-box;
    width: 100%;
    border: none;
    border-bottom: 1px solid #77746E;
    color: #e4e4e4;
    background-color: #101010;
    padding-top: 10px;
    padding-bottom: 10px;
}
/* All Selects */
.hh-hubspot-form select {
    box-sizing: border-box;
    width: 100%;
    border: none;
    border-bottom: 1px solid #77746E;
    color: #999;
    background-color: #101010;
    padding-top: 10px;
    padding-bottom: 10px;
}

/* Checkbox */
.hs-form-checkbox {
    width: 100%;
    float: left;
    list-style-type: none;
    margin-bottom: 10px;
}
.hs-input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 20px !important;
    height: 20px !important;
    margin-right: 10px;
    border: 0px solid #fff;
    background-color: #fff;
    cursor: pointer;
    position: relative;
    vertical-align: middle;
}
.hs-input[type="checkbox"]:checked {background-color: #A58545;}
.hs-input[type="checkbox"]:checked:after {
    content: '✔';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 16px;
}
@media (min-width: 640px) {.hs-form-checkbox {width: 50%;}}
@media (min-width: 960px) {.hs-form-checkbox {width: 33.33%;}}
@media (min-width: 1200px) {.hs-form-checkbox {width: 25%;}}

/* Radio */
.hs-input[type="radio"] {
    width: 20px !important;
    height: 20px !important;
    margin-right: 10px;
    margin-top: 15px;
}

/* Textarea Height */
.hh-hubspot-form textarea {height: 75px;}

/* Focus: Input, Textarea, Select */
.hh-hubspot-form input[type="text"]:focus,
.hh-hubspot-form input[type="email"]:focus,
.hh-hubspot-form input[type="number"]:focus,
.hh-hubspot-form input[type="password"]:focus,
.hh-hubspot-form input[type="search"]:focus,
.hh-hubspot-form input[type="tel"]:focus,
.hh-hubspot-form input[type="url"]:focus,
.hh-hubspot-form select:focus,
.hh-hubspot-form textarea:focus {
    border-bottom-color: #A58545;
    background-color: #222222;
}
/* Labels */
.hh-hubspot-form label {color: #e4e4e4;}

/* Validation & Errors */
.hh-hubspot-form .hs-error-msgs,
.hh-hubspot-form .hs-error-msg {
    color: #cdaf73;
    font-size: 12px;
    text-transform: uppercase;
    list-style-type: none;
    margin-top: 5px;
    margin-bottom: 0px;
    padding-left: 0;
}
/* Required Asterisk */
.hh-hubspot-form .hs-form-required {
    color: #A58545;
    font-size: 20px;
    text-transform: uppercase;
    list-style-type: none;
    margin-top: 0px;
    margin-bottom: 0px;
    padding-left: 0;
}
/* Row margin, except for first name */
.hh-hubspot-form .hs-form-field:not(.hs-firstname) {margin-top: 25px;}
/* Submit Button */
.hh-hubspot-form .hh-button {
    font-size: 1.1rem;
    text-decoration: none;
    color: #A58545;
    margin-top: 20px;
    padding: 12px 45px 12px 16px;
    border: none;
    cursor: pointer;
    background-color: transparent;
    background-size: 33px 33px;
    background-image: url(/wp-content/themes/bajabayclub/assets/images/arrow-gold.svg);
    background-repeat: no-repeat;
    background-position: right;
  }
  .hh-hubspot-form .hh-button:hover {color: #A58545;
}
.hh-hubspot-form .submitted-message {
    padding-top: 20px;
    font-size: 1.4rem;
    line-height: 1.8;
    color: #e4e4e4;
}

/* Multicolumn Overrides */
.hh-hubspot-form.hh-hubspot-multicolumn fieldset {width: 100%; max-width: 100%;}
.hh-hubspot-form.hh-hubspot-multicolumn .hs-form-field {margin-top: 25px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-1 .input {margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-1 .input input {width: 100%; max-width: 100%;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-1 .input textarea {width: 100%; max-width: 100%;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-1 .input select {width: 100%; max-width: 100%;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 .hs-form-field {width: 100%; clear: left;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 > div:last-child label {margin-left: 0px; margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 > div:last-child label {margin-left: 0px; margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 > div:first-child .input {margin-left: 0px; margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 > div:last-child .input {margin-left: 0px; margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 .hs-form-field {width: 100%; clear: left;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:first-child label {margin-left: 0px; margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:nth-child(2) label {margin-left: 0px; margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:last-child label {margin-left: 0px; margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:first-child .input {margin-left: 0px; margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:nth-child(2) .input {margin-left: 0px; margin-right: 0px;}
.hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:last-child .input {margin-left: 0px; margin-right: 0px;}

@media (min-width: 960px) {
    .hh-hubspot-form.hh-hubspot-multicolumn fieldset {width: 100%; max-width: 100%;}
    .hh-hubspot-form.hh-hubspot-multicolumn .hs-form-field {margin-top: 25px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-1 .input {margin-right: 0px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-1 .input input {width: 100%; max-width: 100%;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-1 .input textarea {width: 100%; max-width: 100%;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-1 .input select {width: 100%; max-width: 100%;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 .hs-form-field {width: 50%; clear: inherit;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 > div:last-child label {margin-left: 0px; margin-right: 0px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 > div:last-child label {margin-left: 30px; margin-right: 0px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 > div:first-child .input {margin-left: 0px; margin-right: 30px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-2 > div:last-child .input {margin-left: 30px; margin-right: 0px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 .hs-form-field {width: 33.33%; clear: inherit;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:first-child label {margin-left: 0px; margin-right: 0px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:nth-child(2) label {margin-left: 30px; margin-right: 0px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:last-child label {margin-left: 30px; margin-right: 0px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:first-child .input {margin-left: 0px; margin-right: 30px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:nth-child(2) .input {margin-left: 30px; margin-right: 30px;}
    .hh-hubspot-form.hh-hubspot-multicolumn .form-columns-3 > div:last-child .input {margin-left: 30px; margin-right: 0px;}
}
